using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
public partial class WKadmin_Ordermag_jyorderlist : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["WtoRightName"] == null)
        {
            Response.Redirect("/main/error.aspx?err=非法登陆!或系统超时,请确认后重新登录");
        }
        if (!IsPostBack)
        {
            SqlConnection conn = CDatabase.wtoconn();
            conn.Open();
            SqlCommand smd = new SqlCommand("select * from Jyorder where id=" + Request.QueryString["id"], conn);
            SqlDataReader sdr = smd.ExecuteReader();
            sdr.Read();
            this.pid.Text = sdr["id"].ToString();
            this.pname.Text = sdr["pname"].ToString();
            this.pcount.Text = sdr["pcount"].ToString();
            this.username.Text = sdr["username"].ToString();
            this.Cname.Text = sdr["Cname"].ToString();
            this.tel.Text = sdr["tel"].ToString();
            this.Email.Text = sdr["Email"].ToString();
            this.address.Text = sdr["address"].ToString();
            this.post.Text = sdr["post"].ToString();
            this.mono.Text = sdr["mono"].ToString();
            this.addtime.Text = sdr["addtime"].ToString();
            sdr.Close();
            conn.Close();   
            Doadmin.Execsql("update Jyorder set ck='已查看!' where id="+Request.QueryString["id"]);
        }

    }

}
